$:.unshift 'lib'
require 't/basic'
require 't/sql'
require 't/array'

begin
  dbhost   = "localhost"
  dbname   = ENV['USER']
  dblogin  = ENV['USER']
  dbpw     = ""

  require 'mysql'
  $DB = Mysql.connect(dbhost, dblogin, dbpw, dbname)

  require 't/mysql'
rescue Exception => e
  puts "Skipping MySQL tests"
end
